<template>
  <div>
    <rui-list-item v-for="key in nature_keys"
                   :key="key"
                   :caption="$t(`activerecord.attributes.resource_interaction/nature.${key}`)"
                   :sub-caption="$t(`models.resource_interaction.natures.${key}_help`)"
                   static>
      <template #right>
        <rui-icon :name="icon(natures[key][0])" :class="iconCSS(natures[key][0])" />
        <rui-icon name="arrows-left-right" />
        <rui-icon :name="icon(natures[key][1])" :class="iconCSS(natures[key][1])" />
      </template>
    </rui-list-item>

    <!-- i18n-tasks-use t('js.resource_interaction.help_table.more_info_link_html') -->
    <i18n-t keypath="js.resource_interaction.help_table.more_info_link_html" tag="aside" class="text--color-helping -text--center mtd">
      <a :href="$t('js.resource_interaction.help_table.wikipedia_url')" target="_blank">{{ $t('js.resource_interaction.help_table.wikipedia_link') }}</a>
    </i18n-t>
  </div>
</template>

<script>
import RuiIcon from '@experiments-labs/rise_ui/src/components/Icon/Icon.vue'
import RuiListItem from '@experiments-labs/rise_ui/src/components/ListItem/ListItem.vue'

import { NATURE_KEYS, NATURES } from '../../../../classes/models/ResourceInteraction'
import { natureIcon, natureCSS } from '../../../../app_helpers/resource_interactions_icons'

export default {
  name: 'GpaResourceInteractionsHelpTable',
  components: { RuiIcon, RuiListItem },
  data () {
    return {
      natures: NATURES,
      nature_keys: NATURE_KEYS,
    }
  },
  methods: {
    icon: natureIcon,
    iconCSS: natureCSS,
  },
}
</script>
